.header {
  top: 0;
  left: 0;
  width: 100%;
  z-index: 100;
  height: 116px;
  display: grid;
  padding: 2.4rem 1.6rem; /* mobile */
  position: fixed;
  align-items: center;
  align-content: center;
  box-sizing: border-box;
  color: var(--color-primary);
  grid-template-areas: 'logo . nav';
  grid-template-columns: 70px 1fr auto;
  transition: height 0.3s ease-in-out, padding 0.3s ease-in-out;
}
@media screen and (min-width: 768px) {
  .header {
    height: 200px;
    padding: 2.4rem 15% 1.6rem;
  }
}
.header__logo__wrapper {
  grid-area: logo;
}
.header__logo {
  width: auto;
  height: 68px;
  color: var(--color-logo);
  transition: height 0.3s ease-in-out;
}
@media screen and (min-width: 768px) {
  .header__logo {
    width: 140px;
    height: 140px;
  }
}
.header__nav {
  display: flex;
  grid-area: nav;
  align-items: center;
}
.header__nav__list {
  margin: 0;
  padding: 0;
  display: flex;
  list-style: none;
  align-items: center;
}
.header__nav__item {
  font-size: 1.6rem;
  position: relative;
  padding: 0.6rem 1.2rem;
  color: var(--color-primary);
}
.header__nav__link {
  text-decoration: none;
  color: var(--color-primary);
  border-bottom: 1px solid var(--color-primary);
}

/* BURGER LINK */
.header__nav__burger-link {
  padding: 0;
  display: flex;
  align-items: center;
  align-content: center;
  justify-content: center;
}
.header__nav__burger-icon {
  width: 1.8rem;
  height: 1.2rem;
  color: var(--color-primary);
}

/* BURGER ITSELF */
.header__nav__burger {
  top: 40px;
  padding: 0;
  right: 14px;
  list-style: none;
  font-size: 1.6rem;
  position: absolute;
  background-color: white;
  transform-origin: top right;
  transition: opacity 0.3s ease-in-out, transform 0.3s ease-in-out;
}
.header__nav__burger.opened {
  opacity: 1;
  transform: scale(1, 1);
  box-shadow: -4px 2px 15px 0 rgb(0 0 0 / 30%);
}
.header__nav__burger.closed {
  opacity: 0;
  transform: scale(0, 0);
}
.header__nav__burger__item {
  display: flex;
  border-bottom: rgba(0, 0, 0, 0.3) 1px solid;
}
.header__nav__burger__link {
  width: 100%;
  height: 40px;
  padding: 0 2rem;
  line-height: 2.4;
  text-decoration: none;
  text-transform: uppercase;
  color: var(--color-secondary);
}
.header__nav__burger-label {
  line-height: 1;
  font-weight: 400;
  font-size: 1.6rem;
  color: var(--color-primary);
}
.header__nav__burger-bullet {
  width: 1.6rem;
  height: 1.6rem;
  margin-left: 0.8rem;
}

/* FIXED */
.header.fixed {
  padding: 1.6rem 1.6rem 1.6rem 1rem; /* mobile */
  height: var(--header-height);
  color: var(--color-secondary);
  background: var(--color-secondary);
}
.header.fixed .header__logo {
  height: 36px;
}
